import request from '@/utils/request'

// 查询产品列表
export function list(params) {
    return request({
        url: '/system/product/list',
        method: 'get',
        params
    })
}

// 查询产品详细
export function Info(productId) {
    return request({
      url: '/system/product/' + productId,
      method: 'get'
    })
  }

// 新增产品
export function add(data) {
    return request({
        url: '/system/product',
        method: 'post',
        data
    })
}

// 修改产品
export function update(data) {
    return request({
        url: '/system/product',
        method: 'post',
        data
    })
}

// 删除产品
export function del(ids) {
    return request({
        url: '/system/product/' + ids,
        method: 'delete'
    })
}

// 产品下拉
export function select() {
    return request({
        url: '/system/product/select',
        method: 'get',
    })
}